#
# Conditional build:
%bcond_with	howl	# mdns/howl service registration support
#
Summary:	Xinetd - a powerful replacement for inetd
Summary(pl.UTF-8):	Xinetd - rozbudowany zamiennik inetd
Summary(pt_BR.UTF-8):	O xinetd é um substituto poderoso e seguro para o inetd
Summary(ru.UTF-8):	xinetd - богатая возможностями замена inetd
Summary(uk.UTF-8):	xinetd - багата можливостями заміна inetd
Name:		xinetd
Version:	2.3.15
Release:	3%{?tld}
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://www.xinetd.org/%{name}-%{version}.tar.gz
# Source0-md5:	77358478fd58efa6366accae99b8b04c
Source1:	%{name}.inet.sh
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-howl.patch
Patch2:		%{name}-man.patch
Patch3:		%{name}-bind-ipv6.patch
Patch4:         xinetd-2.3.15-remove-deprecated-flask.h.patch
URL:		http://www.xinetd.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_howl:BuildRequires:	howl-devel >= 1.0.0-4}
BuildRequires:	libselinux-devel
BuildRequires:	libwrap-devel
%{?with_howl:BuildRequires:	pkgconfig}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	rc-inetd
Requires:	rc-inetd
Provides:	inetdaemon
Obsoletes:	inetd
Obsoletes:	inetdaemon
Obsoletes:	netkit-base
Obsoletes:	rlinetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
xinetd is a powerful replacement for inetd. xinetd has access control
machanisms, extensive logging capabilities, the ability to make
services available based on time, and can place limits on the number
of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world. Or to have a
different service running on the same port, but different interfaces.

%description -l pl.UTF-8
xinetd jest bezpieczniejszym i rozbudowanym odpowiednikiem inetd.
Niektóre funkcje to wbudowana kontrola dostępu (oparta o libwrap),
kontrola zużycia zasobów i wbudowana obsługa IPv6.

%description -l pt_BR.UTF-8
O xinetd é um substituto poderoso para o inetd.

Tem mecanismos de controle de acesso, capacidades extensivas de
registro de ocorrências, possibilita tornar serviços disponíveis de
acordo com horários e pode limitar o número de servidores que podem
ser iniciados, entre outras coisas.

Também possibilita redirecionar fluxos TCP para uma máquina e porta
remota. Isto é útil para aqueles que usam ip masquerading ou NAT e
querem poder acessar máquinas na rede interna.

Também possibilita associar serviços específicos a interfaces
específicas. Isto é útil quando você quer disponibilizar serviços para
sua rede interna, mas não para o resto do mundo. Ou ter um serviço
diferente rodando na mesma porta, mas em interfaces diferentes.

%description -l uk.UTF-8
xinetd - заміна inetd з багатими можливостями.

Серед іншого, xinetd має механізми управління доступом, багаті
можливості протоколювання, здатність регулювати доступність сервісів в
залежності від часу, може обмежувати кількість одночасно працюючих
серверів.

xinetd має можливість перенаправляти TCP потоки на інший хост та порт.
Це корисно для тих, хто використовує ip маскарадинг чи NAT та хоче
мати можливість доступу до внутрішніх хостів.

xinetd також має можливість прив'язувати конкретні сервіси до
конкретних інтерфейсів. Це корисно, коли ви хочете зробити сервіси
доступними лише для внутрішньої мережі, але не для решти Інтернету.
Або ж мати різні сервіси на тому ж номері порта, але різних
інтерфейсах.

%description -l ru.UTF-8
xinetd - замена inetd с богатыми возможностями.

Среди прочего, xinetd имеет механизмы управления доступом, богатые
возможности протоколирования, способность регулировать доступность
сервисов в зависимости от времени, может ограничивать количество
одновременно работающих серверов.

xinetd имеет возможность перенаправлять TCP потоки на другой хост и
порт. Это полезно для тех, кто использует ip маскарадинг или NAT и
хочет иметь возможность доступа к внутренним хостам.

xinetd также имеет возможность привязывать конкретные сервисы к
конкретным интерфейсам. Это полезно, если вы хотите сделать сервисы
доступными только для внутренней сети, но не для остального Интернета.
Или же иметь разные сервисы на том же номере порта, но разных
интерфейсах.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/config.sub .
%configure \
        CFLAGS="%{rpmcppflags} %{rpmcflags} $(pkg-config --cflags libtirpc)" \
	%{?with_howl:--with-howl} \
	--with-labeled-networking \
	--with-libwrap \
	--with-loadavg
%{__make} \
        LDFLAGS="%{rpmldflags} $(pkg-config --libs libtirpc)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_mandir}/man{5,8} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

install xinetd/xinetd $RPM_BUILD_ROOT%{_sbindir}
install xinetd/itox $RPM_BUILD_ROOT%{_sbindir}
install xinetd/xinetd.conf.man $RPM_BUILD_ROOT%{_mandir}/man5/xinetd.conf.5
install xinetd/xinetd.log.man $RPM_BUILD_ROOT%{_mandir}/man8/xinetd.log.8
install xinetd/xinetd.man $RPM_BUILD_ROOT%{_mandir}/man8/xinetd.8
install xinetd/itox.8 $RPM_BUILD_ROOT%{_mandir}/man8/itox.8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inet.script
:> $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.conf

cp xinetd/sample.conf .
cp xinetd/xconv.pl .

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service rc-inetd restart "xinetd"

%preun
if [ "$1" = "0" ]; then
	%service rc-inetd stop
fi

%files
%defattr(644,root,root,755)
%doc README CHANGELOG sample.conf xconv.pl
%attr(755,root,root) %{_sbindir}/itox
%attr(755,root,root) %{_sbindir}/xinetd
%attr(640,root,root) %ghost %{_sysconfdir}/xinetd.conf
%attr(640,root,root) /etc/sysconfig/rc-inet.script
%{_mandir}/man5/xinetd.conf.5*
%{_mandir}/man8/itox.8*
%{_mandir}/man8/xinetd.8*
%{_mandir}/man8/xinetd.log.8*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xinetd.git;a=log;h=master

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 15b5b08
- rel 3

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> faa5104
- Rel 3; we don't have howl anymore; patch from fc; builds

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> e045a02
- Release 2 (by relup.sh)

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> a177e1c
- updated to 2.3.15
- removed obsolete tcp_rpc,label,contextconf,ssize_t patches

* Thu Oct 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1310709
- redirect doesn't need daemon/server

* Tue Aug 24 2010 Tomasz Pala <gotar@pld-linux.org> aa5a898
- fixed case statement in rc-inet.sh, rel. 6

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> 0c43fb4
- rel 5
- use FAMILY for IP family selection in rc-inetd script

* Tue Jul 20 2010 Elan Ruusamäe <glen@pld-linux.org> 3f71591
- use case statement for multiple choices

* Tue Jul 20 2010 Elan Ruusamäe <glen@pld-linux.org> fb53486
- formatting

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> ef9a085
- fixed Group

* Mon Jun 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 380668e
- BR: libselinux-devel

* Mon Jun 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c3e97f
- rel 4; labeled networking, ipv6 bind, ssize_t fixes from FC

* Mon Jun 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dc47159
- new from fc (listen on ipv6, too; labeled networking; ssize_t fixes

* Sun Dec 30 2007 Elan Ruusamäe <glen@pld-linux.org> 01ad6d7
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 14cd0c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e3aea25
- converted to UTF-8

* Tue Mar 14 2006 Elan Ruusamäe <glen@pld-linux.org> 64ae9db
- use %service

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> ad025fa
- BR fixed howl, release 2

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 65aea3e
- updated rc-inet script not to require PORT for RPC services

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 5622cec
- PORT is not required for RPC services

